### Method

# Cogl Renderer foreach_output

#### Declaration [src]

    void
    cogl_renderer_foreach_output (
      CoglRenderer* renderer,
      CoglOutputCallback callback,
      void* user_data
    )

#### Description [src]

Iterates all known display outputs for the given `renderer` and passes a corresponding `CoglOutput` pointer to the given `callback` for each one, along with the given `user_data`.

#### Parameters

`callback`

  Type: `CoglOutputCallback`

  A `CoglOutputCallback` to be called for each display output.

`user_data`

  Type: `void*`

  A user pointer to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.